# Contributing to PSACrypto

Thank you for your interest in contributing to PSACrypto! We welcome contributions from the community to help improve the project. Please take a moment to review the guidelines below.

## How to Contribute

1. Fork the repository and create your branch from `main`.
2. Make your changes and ensure they adhere to the coding style and guidelines of the project.
3. Write tests to cover your changes if applicable.
4. Run the tests to make sure everything is working correctly.
5. Commit your changes with a descriptive commit message following the [Conventional Commits](https://www.conventionalcommits.org/en/v1.0.0/) format.
6. Push your changes to your forked repository.
7. Submit a pull request to the `main` branch of the main repository.

## Issue Tracker

If you encounter any issues or have suggestions for improvements, please [create an issue](https://github.com/machinefi/psa-crypto/issues) on GitHub. Be sure to provide a clear description of the problem or suggestion.

## License

By contributing to this project, you agree that your contributions will be licensed under the [project's license](LICENSE.md).

We appreciate your contributions to PSACrypto and thank you for helping make it better!
